# Exécution automatisée

### From CGSecurity

english version deutsche Version versión español version française

Les utilisations de TestDisk et de PhotoRec peuvent être automatisées. Ce document décrit la syntaxe des lignes de commandes.

## TestDisk

Syntaxe: `testdisk /cmd device cmd`

### Sélection du type de partition

- partition_i386
- partition_mac
- partition_none
- partition_sun
- partition_xbox

### Menu principal

- advanced
- analyze
- delete
- geometry
- mbr_code
- options

### Menu Analyse

- backup
- mode_vista: rechercher aussi les partitions créés sous Windows Vista
- list
- search: lance une rechercher approfondie Deeper Search
- noconfirm
- write

### Menu avancé

- type
- boot
- superblock
- number: le numéro de partition à sélectionner

#### Menu FAT1x

- rebuildbs
- dump
- repairfat
- initroot

#### Menu FAT32

- rebuildbs
- dump
- repairfat
- originalfat
- backupfat

#### Menu de reconstruction FAT

- list
- dump

#### Menu NTFS

- rebuildbs
- dump
- originalntfs
- backupntfs
- repairmft

#### Menu de reconstruction NTFS

- list
- dump

### Géométrie du média

- C,nombre de cylindres
- H,nombre de têtes de lecture (heads)
- S,nombre des secteurs (sectors)
- N,taille d'un secteur

### Exemples

    testdisk /debug /log /cmd /dev/hda analyze,search
    testdisk /debug /log /cmd partition.dd options,partition_none,geometry,H,32,analyze,list,advanced,boot,rebuildbs,
    list partition.dd

## PhotoRec

Syntaxe: `photorec /cmd device cmd`

### Sélection du type de partition

- partition_i386
- partition_mac
- partition_none
- partition_sun
- partition_xbox

### Menu principal

- number: le numéro de partition à sélectionner
- search
- options

### Menu option

- mode_ext2

### Exemples

    photorec /debug /log /cmd /dev/hdb select,search
    photorec /debug /log /cmd /dev/hda options,mode_ext2,5,search

Category: Data Recovery

##### Data Recovery

- TestDisk
- PhotoRec
- download